---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  creationTimestamp: "2022-03-08T10:13:45Z"
  generation: 1
  managedFields:
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:conversion:
          .: {}
          f:strategy: {}
        f:group: {}
        f:names:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:singular: {}
        f:scope: {}
        f:versions: {}
      f:status:
        f:storedVersions: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:45Z"
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:acceptedNames:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:singular: {}
        f:conditions: {}
    manager: kube-apiserver
    operation: Update
    time: "2022-03-08T10:13:46Z"
  name: profiles.tuned.openshift.io
  resourceVersion: "855"
  selfLink: /apis/apiextensions.k8s.io/v1/customresourcedefinitions/profiles.tuned.openshift.io
  uid: 6b50cb4f-afd9-477e-9340-302ddfd126f7
spec:
  conversion:
    strategy: None
  group: tuned.openshift.io
  names:
    kind: Profile
    listKind: ProfileList
    plural: profiles
    singular: profile
  scope: Namespaced
  versions:
  - name: v1
    schema:
      openAPIV3Schema:
        description: Profile is a specification for a Profile resource
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            properties:
              config:
                properties:
                  tunedProfile:
                    description: tuned profile to apply
                    type: string
                required:
                - tunedProfile
                type: object
            required:
            - config
            type: object
          status:
            description: ProfileStatus is the status for a Profile resource; the status is for internal use only and its fields may be changed/removed in the future.
            properties:
              bootcmdline:
                description: kernel parameters calculated by tuned for the active tuned profile
                type: string
              stalld:
                description: 'deploy stall daemon: https://github.com/bristot/stalld/'
                type: boolean
            type: object
        type: object
    served: true
    storage: true
status:
  acceptedNames:
    kind: Profile
    listKind: ProfileList
    plural: profiles
    singular: profile
  conditions:
  - lastTransitionTime: "2022-03-08T10:13:46Z"
    message: no conflicts found
    reason: NoConflicts
    status: "True"
    type: NamesAccepted
  - lastTransitionTime: "2022-03-08T10:13:46Z"
    message: the initial names have been accepted
    reason: InitialNamesAccepted
    status: "True"
    type: Established
  storedVersions:
  - v1
